# GimpUi.widget_get_color_transform

    @accepts(Gtk.Widget, Gimp.ColorConfig, Gimp.ColorProfile, Babl.Object, Babl.Object, Gimp.ColorProfile, Gimp.ColorRenderingIntent, bool)
    @returns(Gimp.ColorTransform)
    def widget_get_color_transform(widget, config, src_profile, src_format, dest_format, softproof_profile, proof_intent, proof_bpc):
        # Python wrapper for gimp_widget_get_color_transform()

This function returns the Gimp.ColorTransform that transforms pixels from src_profile to the profile of the Gdk.Monitor the widget is displayed on.

Since 2.10

widget

  a Gtk.Widget

config

  a Gimp.ColorConfig

src_profile

  a Gimp.ColorProfile

src_format

  Babl format for the transform's source pixels

dest_format

  Babl format for the transforms's destination pixels

softproof_profile
proof_intent
proof_bpc
Returns